Bug 796460 - OSGi-bundle-ant-task should not depend on OpenJDK 6
OSGi-bundle-ant-task should not depend on OpenJDK 6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: OSGi-bundle-ant-task (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 17:33 EST by Danesh Dadachanji
Modified: 2013-02-26 18:44 EST (History)
4 users (show)

See Also:
Fixed In Version: OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 12:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to change required java-devel version to 6 or above (1.16 KB, patch)
2012-02-22 17:33 EST, Danesh Dadachanji
no flags Details | Diff

  None (edit)
Description Danesh Dadachanji 2012-02-22 17:33:17 EST
Created attachment 565130 [details]
Patch to change required java-devel version to 6 or above

With F17 running OpenJDK7 as the default java environment, OpenJDK6 may be going away. This package's dependency will break as a result of this.

The attached patch requires anything from 6 or above and builds correctly with whichever OpenJDK it finds.

Here's more information on rebuilding other packages:
https://fedoraproject.org/wiki/Java7_Package_Rebuild_Status
Comment 1 Fedora Update System 2012-02-23 14:42:21 EST
OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17
Comment 2 Fedora Update System 2012-02-23 17:30:41 EST
Package OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2300/OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-03-11 12:59:23 EDT
OSGi-bundle-ant-task-0.2.0-0.7.svn1242.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.